
Foreman - Bug #3997

/apiodc causes error - TypeError in Apipie::ApipiesController#index

01/12/2014 07:55 AM - Joseph Magen

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

http://0.0.0.0:3000/apidoc

TypeError in Apipie::ApipiesController#index

superclass mismatch for class PluginNotFound

Rails.root: /home/jmagen/foreman

Application Trace | Framework Trace | Full Trace

app/services/foreman/plugin.rb:20:in `<module:Foreman>'

app/services/foreman/plugin.rb:18:in `<top (required)>'

app/controllers/api/v2/plugins_controller.rb:3:in `<module:V2>'

app/controllers/api/v2/plugins_controller.rb:2:in `<module:Api>'

app/controllers/api/v2/plugins_controller.rb:1:in `<top (required)>'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

History

#1 - 12/10/2017 09:45 AM - Tomer Brisker

- Status changed from New to Resolved

Seems to be working fine now.
